$ErrorActionPreference = 'Stop';

$url = 'https://github.com/bitwarden/clients/releases/download/desktop-v2023.10.0/Bitwarden-Installer-2023.10.0.exe'
$checksum = '88E01AA4B33E08BC7A905AF8CC0E60A404A7FB7A9388267E1C2126DAC99D4FDF'

$packageArgs = @{
  packageName   = 'bitwarden'
  fileType      = 'EXE'
  softwareName  = 'Bitwarden'
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
  silentArgs    = '/S'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
